Name:          python-tablib
Version:       3.3.0
Release:       1mamba
Summary:       Format agnostic tabular data library (XLS, JSON, YAML, CSV)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/tablib/
Source:        https://pypi.debian.net/tablib/tablib-%{version}.tar.gz
Patch0:        python-tablib-0.10.0-python2.7.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.7.4
Requires:      python >= %python_version

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n tablib-%{version}
#%patch0 -p1

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

#%if "%{?with_pyver}"
#sed -i "/dbfpy\/__pycache__\/dbfnew.cpython/d" %{name}.filelist
#%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc AUTHORS LICENSE

%changelog
* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Mon May 09 2022 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Jan 28 2022 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Tue Oct 26 2021 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Thu Sep 10 2020 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic update by autodist

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.0-1mamba
- update to 0.13.0

* Fri Aug 07 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.0-1mamba
- package created using the webbuild interface
